Schema (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class Schema

    java.lang.Object
      org.hibernate.metamodel.relational.Schema

    public class Schema

extends Object

Represents a named schema/catalog pair and manages objects defined within.

Nested Class Summary
`static class` | `Schema.Name`

Constructor Summary
`Schema(Identifier schema, Identifier catalog)`
`Schema(Schema.Name name)`

Method Summary
`InLineView` | `createInLineView(String logicalName, String subSelect)`
`Table` | `createTable(Identifier name)`
`boolean` | `equals(Object o)`
`InLineView` | `getInLineView(String logicalName)`
`Schema.Name` | `getName()`
`Iterable<Table>` | `getTables()`
`int` | `hashCode()`
`Table` | `locateOrCreateTable(Identifier name)`
`Table` | `locateTable(Identifier name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Schema

    public Schema(Schema.Name name)

### Schema

    public Schema(Identifier schema,
                  Identifier catalog)

Method Detail

### getName

    public Schema.Name getName()

### locateTable

    public Table locateTable(Identifier name)

### createTable

    public Table createTable(Identifier name)

### locateOrCreateTable

    public Table locateOrCreateTable(Identifier name)

### getTables

    public Iterable<Table> getTables()

### getInLineView

    public InLineView getInLineView(String logicalName)

### createInLineView

    public InLineView createInLineView(String logicalName,
                                       String subSelect)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.